

<?php


##########################
# Slection du graphique #
##########################
 
?>
<script type="text/javascript">


$(function () {
    // set the theme
    Highcharts.setOptions({
        colors: ['#009933', '#FF0000', '#00CCFF', '#FFAA00', '#FF00ff', '#9933FF', '#fff263', '#0000ff', '#6AF9C4'],
});
	//Highcharts.getOptions().colors = Highcharts.map(Highcharts.getOptions().colors, function (color) {
	//return Highcharts.Color(color).setOpacity(0.5).get('rgba');});

})

$(function () {
    var chart;
    $(document).ready(function() {

	
	
if (mensuel==true)
{	
// chart1 Tempratures Maxima
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container1',
                type: 'spline',
				zoomType: 'x',
                spacingRight: 20,
                marginRight: 10,
                marginBottom: 30,
				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: 
				{
					enabled: false
				}
			},
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },
            title: {
                text: lx_temp,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
                maxZoom: 7, // seven days
				labels: 
				{
					step: MonStep
				}
            },
            yAxis: {
                title: {
                    text: lx_temp+'(C)'
                },
                plotLines: [{
                    value: 0,
                    width: 0.5,
                    color: '#808080'
                }]
            },
	    tooltip: { formatter: function() { 
                var s = '<b><span style="font-size:small; font-weight:800"></span><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+' C</span>' ;
		});
		return s;
		},
		shared: true
	    },			
	    plotOptions: {
				series: {
					marker: {
						enabled: false
					}
				}
			},
            series: [ 
			{
				name: lx_maxima,
                data: dTmax[1]},{
				name: lx_avg,
                data: dTemp[1]},{
                name: 'Minima ',
                data: dTmin[1]}
           ]
        });

// chart4 Pluie
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container2',
                type: 'column',
				zoomType: 'x',
                spacingRight: 20,
                marginRight: 10,
                marginBottom: 30,
				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: {
					enabled: false
				}
			},
            legend: {

			layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },

            title: {
                text: lx_precip,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
                maxZoom: 7, // seven days
				labels: {
                step: MonStep
				}
            },
            yAxis: {
                title: {
                    text: lx_rain+'(mm)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }],
				min: 0
            },
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span>mm' ;
		});
		return s;
		},
		shared: true
		},	       
		plotOptions: {
			series: {
				marker: {
					enabled: false
					}
				}
		},
            series: [{
                name: lx_rain_cum+date1,
				type: 'area',
                data: dRain1},{
                name: lx_rain+date2,
                data: dRain[1]}
           ]
        });
// chart6 vent
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container3',
                type: 'column',
 				zoomType: 'x',
                spacingRight: 20,
                marginRight: 10,
                marginBottom: 30,

				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: {
					enabled: false
				}
			},
            legend: {

				layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },
            title: {
                text: lx_wind,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
                maxZoom: 7, // seven days
				labels: {
                step: MonStep
				}
            },
            yAxis: {
                title: {
                    text: lx_wind+'(km/h)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span>km/h' ;
		});
		return s;
		},
		shared: true
	    },	
        plotOptions: {
            series: {
                marker: {
                    enabled: false
                }
            }
        },
            series: [{
                name: lx_wind,
                data: dVent[1]},{
                name: lx_raf,
                data: dGust[1]}
           ]
        });
		
// chart11 direction
        chart = new Highcharts.Chart({
            chart: {
			type: 'line',
			renderTo: 'container4',
            polar: true
			},
		pane: { 
			size: '80%',
			startAngle: 0,
			endAngle: 360

			},
		navigation: {
			buttonOptions: {
				enabled: false
				}
			},
		legend: {
			layout: 'vertical',
			align: 'right',
			verticalAlign: 'top',
			x: -10,
			y: 50,			
			floating: true,
			borderWidth: 1
			},

		title: {
			text: lx_wind_dir,
			x: -20 //center
			},
		subtitle: {
                text: nomsite,
                x: -20
			},
		xAxis: {
			tickInterval: 22.5,
			tickmarkPlacement: 'on',

			labels: {
				formatter: function () {
					var s =dXlabvent[this.value];
					return s ;
					}
				}
			},	    
		yAxis: {
            min: 0,
            endOnTick: false,
            showLastLabel: true,
            labels: {
                formatter: function () {var s='<span style="font-size:x-small; font-weight:800">'+this.value + '%';
					return s;
                    }
                }
			},
	    plotOptions: {
	        series: {
	            pointStart: 0,
	            pointInterval: 22.5
	        },
	        column: {
	            pointPadding: 0,
	            groupPadding: 0
	        }
	    },		
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ dXlabvent[this.x]+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+' %</span>' ;
		});
		return s;
		},
		shared: true
	    },	
            series: [{
                name: lx_wind_domdir,
				color: '#FF0000',
				type: 'line',		
				pointPlacement: 'between',
                data: dDir[1]}
           ]
        });
			
}
else //annuel
{	
// chart1 Tempratures 
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container1',
                type: 'spline',
                marginRight: 10,
                marginBottom: 30,
				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: 
				{
					enabled: false
				}
			},
            legend: {
                layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },
            title: {
                text: lx_temp,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
				labels: 
				{
					step: MonStep
				}
            },
            yAxis: {
                title: {
                    text: lx_temp+'(C)'
                },
                plotLines: [{
                    value: 0,
                    width: 0.5,
                    color: '#808080'
                }]
            },
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span>C' ;
		});
		return s;
		},
		shared: true
	    },			
	    plotOptions: {
				series: {
					marker: {
						enabled: false
					}
				}
			},
            series: [ 
			{
				name: lx_maxima,
                data: dTmax[1]},{
                name: 'Minima ',
                data: dTmin[1]},{
                name: lx_maxima+lx_avg,
                data: dTmeanmax[1]},{
                name: 'Minima '+lx_avg,
                data: dTmeanmin[1]},{
            //  name: lx_avg+lx_norm_x,
            //  data: dTemp[3]},{
                name: lx_avg,
                data: dTemp[1]}
           ]
        });

// chart4 prcipitations
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container2',
                type: 'column',
                marginRight: 10,
                marginBottom: 30,
				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: {
					enabled: false
				}
			},
            legend: {

			layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },

            title: {
                text: lx_rain,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
				labels: {
                step: MonStep
				}
            },
            yAxis: {
                title: {
                    text: lx_rain+'(mm)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }],
				min: 0
            },
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span>mm' ;
		});
		return s;
		},
		shared: true
		},	       
		plotOptions: {
			series: {
				marker: {
					enabled: false
					}
				}
		},
            series: [{
                name: lx_rain_cum,
				type: 'area',
                data: dRain1},{
                name: lx_rain_pluvio ,
                data: dRain[1]},{
                name: lx_rain_pluvio,
				type: 'line',
                data: dRain[3]}
           ]
        });
					
// chart6 vent
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container3',
                type: 'column',
                marginRight: 10,
                marginBottom: 30,

				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: {
					enabled: false
				}
			},
            legend: {

				layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },
            title: {
                text: lx_wind,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
				labels: {
                step: MonStep
				}
            },
            yAxis: {
                title: {
                    text: lx_wind+'(km/h)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }]
            },
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span>km/h' ;
		});
		return s;
		},
		shared: true
	    },	
        plotOptions: {
            series: {
                marker: {
                    enabled: false
                }
            }
        },
            series: [{
                name: lx_wind,
                data: dVent[1]},{
                name: lx_raf,
                data: dGust[1]}
           ]
        });
		
// chart11 direction
        chart = new Highcharts.Chart({
            chart: {
			type: 'line',
			renderTo: 'container4',
            polar: true
			},
		pane: { 
			size: '80%',
			startAngle: 0,
			endAngle: 360

			},
		navigation: {
			buttonOptions: {
				enabled: false
				}
			},
		legend: {
			layout: 'vertical',
			align: 'right',
			verticalAlign: 'top',
			x: -10,
			y: 50,			
			floating: true,
			borderWidth: 1
			},

		title: {
			text: lx_wind_dir,
			x: -20 //center
			},
		subtitle: {
                text: nomsite,
                x: -20
			},
		xAxis: {
			tickInterval: 22.5,
			tickmarkPlacement: 'on',

			labels: {
				formatter: function () {
					var s =dXlabvent[this.value];
					return s ;
					}
				}
			},
/*		xAxis: {
			tickInterval: 22.5,
			min: '0',
			max: '360',
			categories: dXlabvent, 
			labels: {
				formatter: function () {
					return this.value ;
					}
				}
			},*/	    
		yAxis: {
			min: 0
			},
	    plotOptions: {
	        series: {
	            pointStart: 0,
	            pointInterval: 22.5
	        },
	        column: {
	            pointPadding: 0,
	            groupPadding: 0
	        }
	    },	
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ dXlabvent[this.x]+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+' %</span>' ;
		});
		return s;
		},
		shared: true
	    },	
		
	   /* tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +' e '+date2 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+' %</span>' ;
		});
		return s;
		},
		shared: true
	    },*/	
        series: [{
                name: lx_wind_domdir,
				color: '#FF0000',
				type: 'line',		
				pointPlacement: 'between',
                data: dDir[1]}
           ]
        });
		

}
				
		
if (sun)	
{	
// chart8
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container8',
                type: 'column',
                marginRight: 10,
                marginBottom: 30,
				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: {
					enabled: false
				}
			},
            legend: {

				layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },

            title: {
                text: lx_uv_ix,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
				labels: {
                step: MonStep
				}
            },
            yAxis: [{
                title: {
                    text: lx_uv_ix
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
			}]
		},{
                title: {
                    text: lx_uv_ix
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }],
                opposite: true
            }
	    ],
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span> ' ;
		});
		return s;
		},
		shared: true
	    },	
        plotOptions: {
            series: {
                marker: {
                    enabled: false
                }
            }
        },
            series: 
			[	
				{
                name: lx_max_uv,
				type: 'column',
                data: dUVmax[1]
				},
				{	
                name: lx_avg_uv,
				color: '#FFAA00',
				type: 'line',            
                data: dUVavg[1]
				}
           ]
        });
	
// chart9
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container9',
                type: 'column',
                marginRight: 10,
                marginBottom: 30,
				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: {
					enabled: false
				}
			},
            legend: {

				layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },

            title: {
                text: lx_sol_rad,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
				labels: {
                step: MonStep
				}
            },
            yAxis: [{
                title: {
                    text: lx_rad+'(W/m)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
			}]
		},{
                title: {
                    text: lx_sol_rad
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }],
                opposite: true
            }
	    ],
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span>W/m' ;
		});
		return s;
		},
		shared: true
	    },	

        plotOptions: {
            series: {
                marker: {
                    enabled: false
                }
            }
        },
            series: [{
                name: lx_max_rad,
				type: 'column',
                data: dRadmax[1]},{		
 				color: '#FFAA00',
               name: lx_avg_rad,
				type: 'line',            
                data: dRadavg[1]}
           ]
        });
	
// chart10
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container10',
                type: 'column',
                marginRight: 10,
                marginBottom: 30,
				plotBorderColor: '#346691',
				plotBorderWidth: 2
            },
			navigation: {
				buttonOptions: {
					enabled: false
				}
			},
            legend: {

				layout: 'vertical',
                align: 'right',
                verticalAlign: 'top',
                x: -10,
                y: 50,			
				floating: true,
                borderWidth: 1
            },

            title: {
                text: lx_tot_rad,
                x: -20 //center
            },
            subtitle: {
                text: nomsite,
                x: -20
            },
            xAxis: {
                categories: dXlab,            
				labels: {
                step: MonStep
				}
            },
            yAxis: [{
                title: {
                    text: lx_rad+'(kWh/m)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
			}]
		},{
                title: {
                    text: lx_rad+'(kWh/m)'
                },
                plotLines: [{
                    value: 0,
                    width: 1,
                    color: '#808080'
                }],
                opposite: true
            }
	    ],
	    tooltip: { formatter: function() { 
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+ ' '+date1 +'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span>kWh/m' ;
		});
		return s;
		},
		shared: true
	    },	

        plotOptions: {
            series: {
                marker: {
                    enabled: false
                }
            }
        },
            series: [{
                name: lx_tot_rad,
				type: 'column',
                data: dRadtot[1]}
           ]
        });
}
		
        });
        });


//Non utilis

function formatage(){
                var s = '<b><span style="color:yellow;font-size:small; font-weight:800">'+ this.x+'</span></b>';             
                $.each(this.points, function(i, point) {
                    s += '<br/><span style="color:'+ point.series.color +'">'+  
		       point.series.name +':</span><span style="color:'+legend_color+';font-size:small; font-weight:800">'+  point.y+'</span>' ;
});
return s;
}
	
//Non utilis	
    function comArr(unitsArray) { 
        var outarr = [];
        for (var i = 0; i < dXlab.length; i++) {
         outarr[i] = [dXlab[i], unitsArray[i]];
        }
      return outarr;
    } 
			
eval(<?php echo  "'var dXlab =  ".json_encode($Xlab)."'" ?>);
<?php echo  "'var xtitre =  ".($xtitre)."'" ?>;
eval(<?php echo  "'var dTmin =  ".json_encode($lowtemp)."'" ?>);
eval(<?php echo  "'var dTmax  =  ".json_encode($hightemp)."'" ?>);
eval(<?php echo  "'var dTmeanmin =  ".json_encode($meanmin)."'" ?>);
eval(<?php echo  "'var dTmeanmax =  ".json_encode($meanmax)."'" ?>);
eval(<?php echo  "'var dTemp =  ".json_encode($meantemp)."'" ?>);
eval(<?php echo  "'var dRainc =  ".json_encode($raincum)."'" ?>);
eval(<?php echo  "'var dTmM =  ".json_encode($meanmax)."'" ?>);
eval(<?php echo  "'var dTmm =  ".json_encode($meanmin)."'" ?>);
eval(<?php echo  "'var dSun =  ".json_encode($soleil)."'" ;?>);
eval(<?php echo  "'var dRain =  ".json_encode($rain)."'" ;?>);
eval(<?php echo  "'var dGust =  ".json_encode($rafales)."'" ?>);
eval(<?php echo  "'var dVent =  ".json_encode($ventmoyen)."'" ?>);
eval(<?php echo  "'var dUVavg =  ".json_encode($uv_avg)."'" ?>);
eval(<?php echo  "'var dUVmax =  ".json_encode($uv_max)."'" ?>);
eval(<?php echo  "'var dRadtot =  ".json_encode($rad_tot)."'" ?>);
eval(<?php echo  "'var dRadavg =  ".json_encode($rad_avg)."'" ?>);
eval(<?php echo  "'var dRadmax =  ".json_encode($rad_max)."'" ?>);
eval(<?php echo  "'var dDir =  ".json_encode($wind_d)."'" ?>);
eval(<?php echo  "'var dXlabvent=  ".json_encode($lab_dirvent)."'" ?>);
eval(<?php echo  "'var dXlabdeg=  ".json_encode($lab_dirv_deg)."'" ?>);
<?php echo  "var MyFormat =  '".$format."'" ?>;
<?php echo  "var MonStep =  '".$monstep."'" ?>;
<?php echo  "var date1 =  '".$date1."'" ?>;
<?php echo  "var date2 =  '".$date2."'" ?>;
<?php echo  "var norm = '".FICHE_NORMALES."'" ?>;
<?php echo  "var sun = '".$sun."'" ?>;
<?php echo  "var nomsite = '".NOM_SITE."'" ?>;
<?php echo  "var mensuel = '".$mensuel."'" ?>;
<?php echo  "var lx_tot_rad ='".$lx_tot_rad."'" ?>;
<?php echo  "var lx_rad ='".$lx_tot_rad."'" ?>;
<?php echo  "var lx_avg_rad ='".$lx_avg_rad."'" ?>;
<?php echo  "var lx_temp ='".$lx_temp."'" ?>;
<?php echo  "var lx_sol_rad ='".$lx_sol_rad."'" ?>;
<?php echo  "var lx_max_rad ='".$lx_max_rad."'" ?>;
<?php echo  "var lx_avg_uv ='".$lx_avg_uv."'" ?>;
<?php echo  "var lx_max_uv ='".$lx_max_uv."'" ?>;
<?php echo  "var lx_uv_ix ='".$lx_uv_ix."'" ?>;
<?php echo  "var lx_wind_dir ='".$lx_wind_dir."'" ?>;
<?php echo  "var lx_wind_domdir ='".$lx_wind_domdir."'" ?>;
<?php echo  "var lx_raf ='".$lx_raf."'" ?>;
<?php echo  "var lx_wind ='".$lx_wind."'" ?>;
<?php echo  "var lx_rain_pluvio ='".$lx_rain_pluvio."'" ?>;
<?php echo  "var lx_rain_cum ='".$lx_rain_cum."'" ?>;
<?php echo  "var lx_rain ='".$lx_rain."'" ?>;
<?php echo  "var lx_precip ='".$lx_precip."'" ?>;
<?php echo  "var lx_norm_x ='".$lx_norm_x."'" ?>;
<?php echo  "var lx_temp ='".$lx_temp."'" ?>;
<?php echo  "var lx_temp_avg ='".$lx_temp_avg."'" ?>;
<?php echo  "var lx_avg ='".$lx_avg."'" ?>;
<?php echo  "var lx_maxima ='".$lx_maxima."'" ?>;
<?php echo  "var legend_color ='".LEGEND."'" ?>;

var tmax;
if (norm='TRUE'){ tmax="{name: lx_maxima+date1,data: dTmax[1]},{name: lx_maxima+date2,data: dTmax[2]},{name: lx_maxima lx_norm_x,data: dTmax[3]}"}
else {tmax="{name: lx_maxima+date1,data: dTmax[1]},{name: lx_maxima+date2,data: dTmax[2]}"};


//Cumul pluie sorti du php pb de traitement plus compliqu !!!!
		var dRain1=new Array();
		var dRain2=new Array();
		var dRain3=new Array();

        dRain1[0]= Math.floor(dRain[1][0]*1);
        dRain2[0]= Math.floor(dRain[2][0]*1);
		dRain3[0]= '';
        for(var i = 1; i < dRain[1].length; i++) 
			{
			dRain1.push((dRain1[i-1]*1)+Math.round(dRain[1][i]*1));
			} 
        for(var i = 1; i < dRain[2].length; i++) 
			{
			dRain2.push((dRain2[i-1]*1)+Math.round(dRain[2][i]*1));	
			}
		
		if (mensuel!=true)
		{
			dRain3[0]= Math.floor(dRain[3][0]*1);
			for(var i = 1; i < dRain[3].length; i++) 
			{
				dRain3.push((dRain3[i-1]*1)+Math.round(dRain[3][i]*1));	
			}	

			}	  
		else 
		{
			for(var i = 1; i < dRain[2].length; i++) 
			{
				dRain3[i]='';	
			}	
		}
			
			var dirV = Array[[[0]['N']],[[22.5],['NNE']],[[45],['NE']],[[67.5],['ENE']],[[90],['E']],[[112.5],['ESE']],[[135],['SE']],[[157.5],['SSE']],[[180],['S']],[[202.5],['SSO']],[[225],['SO']],[[247.5],['OSO']],[[270],['O']],[[292.5],['ONO']],[[315],['NO']],[[337.5],['NNO']]]


		</script>
